%global project rpm-lockfile-prototype
Name:           python-%project
Version:        0.13.1
Release:        1.20250115123713336855.pr81.9.gb353db3%{?dist}
Summary:        Build manual page from python's ArgumentParser object.

License:        GPL-3.0-or-later
URL:            https://github.com/konflux-ci/rpm-lockfile-prototype
Source0:        rpm-lockfile-prototype-0.13.1.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-dnf

%global _description %{expand:
Generate RPM lockfile.}

%description %_description

%package -n python3-%project
Summary: RPM lockfile generator

%description -n python3-%project %_description


%prep
%autosetup -p1 -n rpm-lockfile-prototype-0.13.1


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%pyproject_check_import


%files -n python3-%project
%license COPYING
%doc README.md
%_bindir/rpm-lockfile-prototype
%_bindir/caching-rpm-lockfile-prototype
%python3_sitelib/rpm_lockfile/*.py
%python3_sitelib/rpm_lockfile/__pycache__/*.pyc
%python3_sitelib/rpm_lockfile/content_origin/*.py
%python3_sitelib/rpm_lockfile/content_origin/__pycache__/*.pyc
%python3_sitelib/rpm_lockfile_prototype-*dist-info


%changelog
* Wed Jan 15 2025 Packit <hello@packit.dev> - 0.13.1-1.20250115123713336855.pr81.9.gb353db3
- Do not try to exctract labels from a scratch image (Lubomír Sedlář)
- Try to detect releasever from the base image (Lubomír Sedlář)
- Alternative container image (Dale Haiducek)
- Add more guidance on running the container image (Dale Haiducek)
- Add Containerfile and instructions (Lubomír Sedlář)
- Clarify installation instructions (Lubomír Sedlář)

* Tue Sep 03 2024 Pavel Raiskup <praiskup@redhat.com> - 0.7.2-1
- initial RPM packaging
